Method: organizations.locations.auditScopeReports.generate

Generates an audit scope report for the given standard.

The report includes the following:

  • The technical attributes and constraints that Audit Manager uses to verify your compliance with a framework.
  • A list of Google Cloud services and resources that are within the scope of the framework.

HTTP request

POST https://auditmanager.googleapis.com/v1/{scope=organizations/*/locations/*}/auditScopeReports:generate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
scope

string

Required. Project or folder that the audit scope report is generated for, in one of the following formats:

  • projects/{project}/locations/{location}
  • folders/{folder}/locations/{location}
  • organizations/{organization}/locations/{location}

Request body

The request body contains data with the following structure:

JSON representation
{
  "complianceStandard": string,
  "reportFormat": enum (AuditScopeReportFormat),
  "complianceFramework": string
}
Fields
complianceStandard
(deprecated)

string

Optional. Deprecated. The standard (industry or regulatory requirements) that the audit scope report is run against.

Use the complianceFramework field instead.

reportFormat

enum (AuditScopeReportFormat)

Required. Format for the audit scope report.

complianceFramework

string

Required. Framework (set of controls) that the audit scope report is generated against. For example, NIST_800_53.

Response body

If successful, the response body contains an instance of AuditScopeReport.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the scope resource:

  • auditmanager.auditScopeReports.generate

For more information, see the IAM documentation.